by Dan Rathbun » Mon Feb 07, 2011 5:21 pm
Sketchup.send_action() : Arguments to
This topic is for posting both string and (PC ONLY) numeric arguments to the Sketchup.send_action() method. Other known threads on this topic: Search the Developers Forum( for other posts on send action )
I'm not here much anymore. But a PM will fire email notifications.
-

Dan Rathbun
- PluginStore Author

-
- Posts: 5051
- Joined: Tue Oct 06, 2009 3:06 am
- Location: Florida, USA
- Name: Dan Rathbun
- Operating system: Windows
- SketchUp version: 2015
- License type: Pro
- SketchUp use: education
- Level of SketchUp: Advanced
by Dan Rathbun » Mon Sep 05, 2011 6:47 am
integer arguments are PC ONLY:
bomastudio in Google toolbar: get position wrote:Hi all, do you know how can I call the get position (the 1st command in Google Toolbar) via API? I looked around and found that SU5 had some script for manage the Google Earth input/ouput.
use: Sketchup.send_action( numarg )Sketchup ver 7.x, where numarg is: - Code: Select all
Sketchup.send_action( numarg ) 139 "Get Current View" 140 "Toggle Terrain" 145 "Place Model" 21988 "Get Models" 21989 "Share Model" 24188 "Upload Component"
Sketchup ver 8.x, where numarg is: - Code: Select all
Sketchup.send_action( numarg ) 139 "Add Location..." 140 "Toggle Terrain" 24209 "Add New Building..." 24210 "Photo Textures" 145 "Preview Model in Google Earth" 21988 "Get Models..." 21989 "Share Model..." 24188 "Share Component..."
'addBuilding:' "Add New Building..." 'getPhotoTexture:' "Photo Textures" 'getModels:' "Get Models..." 'shareModel:' "Share Model..." ** 'uploadComponent:' "Share Component..." ** **(brings up login dialog if not logged in.) Updated 2011-09-05 : show the cross-platform strings for ver 8+.
I'm not here much anymore. But a PM will fire email notifications.
-

Dan Rathbun
- PluginStore Author

-
- Posts: 5051
- Joined: Tue Oct 06, 2009 3:06 am
- Location: Florida, USA
- Name: Dan Rathbun
- Operating system: Windows
- SketchUp version: 2015
- License type: Pro
- SketchUp use: education
- Level of SketchUp: Advanced
by Shoff » Tue Sep 06, 2011 12:12 am
- Code: Select all
# Cross-Platform String arguments: 'addBuilding:' "Add New Building..." 'getPhotoTexture:' "Photo Textures" 'getModels:' "Get Models..." 'shareModel:' "Share Model..." ** 'uploadComponent:' "Share Component..." ** **(brings up login dialog if not logged in.)
The Cross-Platform String arguments don't work for me on a Mac with SketchUp 8.
-
Shoff
-
- Posts: 16
- Joined: Sat Aug 27, 2011 6:18 am
- Name: John Shoffner
by Shoff » Tue Sep 06, 2011 12:56 am
Realized I need to clarify. Those arguments return true, but nothing happens. Dialogs don't show up, etc. Do they work on a PC?
-
Shoff
-
- Posts: 16
- Joined: Sat Aug 27, 2011 6:18 am
- Name: John Shoffner
by Dan Rathbun » Tue Sep 06, 2011 2:38 am
Shoff wrote:Realized I need to clarify. Those arguments return true, but nothing happens. Dialogs don't show up, etc. Do they work on a PC? Yes they work on PC.. same as if you clicked the corresponding button on the Google Toolbar.
I'm not here much anymore. But a PM will fire email notifications.
-

Dan Rathbun
- PluginStore Author

-
- Posts: 5051
- Joined: Tue Oct 06, 2009 3:06 am
- Location: Florida, USA
- Name: Dan Rathbun
- Operating system: Windows
- SketchUp version: 2015
- License type: Pro
- SketchUp use: education
- Level of SketchUp: Advanced
by Dan Rathbun » Thu Sep 08, 2011 9:32 am
Bug Report filed for Sketchup Ruby on Apple OSX (this topic referenced.)
I'm not here much anymore. But a PM will fire email notifications.
-

Dan Rathbun
- PluginStore Author

-
- Posts: 5051
- Joined: Tue Oct 06, 2009 3:06 am
- Location: Florida, USA
- Name: Dan Rathbun
- Operating system: Windows
- SketchUp version: 2015
- License type: Pro
- SketchUp use: education
- Level of SketchUp: Advanced
by Jim » Sat Dec 24, 2011 10:36 am
Here's an updated list of send_action() arguments for SketchUp 8 M2. * Undocumented ! Broken on Mac - Code: Select all
addBuilding: ! copy: * cut: * editDelete: * editHide: editRedo: editUndo: editUnhide: fixNonPlanarFaces: getCurrentView: * getModels: *! getPhotoTexture: ! newDocument: * openDocument: * pageAdd: pageDelete: pageNext: pagePrevious: pageUpdate: paste: * placeModel: * printDocument: * renderHiddenLine: renderMonochrome: renderShaded: renderTextures: renderWireframe: saveDocument: * select3dTextTool: * selectArcTool: selectAxisTool: selectCircleTool: selectDimensionTool: selectDollyTool: selectEraseTool: selectExtrudeTool: selectFieldOfViewTool: selectFreehandTool: selectImageIglooTool: selectLineTool: selectMeasureTool: selectMoveTool: selectNorthTool: selectOffsetTool: selectOrbitTool: selectPaintTool: selectPolygonTool: selectPositionCameraTool: selectProtractorTool: selectPushPullTool: selectRectangleTool: selectRotateTool: selectScaleTool: selectSectionPlaneTool: selectSelectionTool: selectTextTool: selectTurnTool: selectWalkTool: selectZoomTool: selectZoomWindowTool: selectionZoomExt: * shareModel: *! showRubyPanel: uploadComponent: *! viewBack: viewBottom: viewFront: viewIso: viewLeft: viewPerspective: viewRight: viewShowAxes: viewShowGuides: * viewShowHidden: viewTop: viewUndo: viewZoomExtents: viewZoomToSelection:
SketchUp 15 - = removed + = added - Code: Select all
-addBuilding: +selectArc3PointFitTool: +selectArc3PointPieTool: +selectArc3PointTool: +selectClassifierTool: +selectionZoomExt: +selectRectangle3PointTool: -selectionZoomExt: +showExtensionStore:
Hi
-
Jim
- Global Moderator
-
- Posts: 4678
- Joined: Mon Nov 12, 2007 10:13 pm
- Location: ohio
- Name: Jim
- Operating system: Windows
- SketchUp version: 2017
- License type: Pro
- SketchUp use: hobby
- Level of SketchUp: Intermediate
-
by driven » Sat Dec 24, 2011 7:54 pm
is this an exception? [as in a mac thing...] - Code: Select all
> Sketchup.send_action('viewPerspective:') true > !Sketchup.send_action('viewPerspective:') false
john Edit: I've been looking for a replacement for Sketchup.send_action('viewParallelProjection:') which returns True, but doesn't 'switch views' on mac. !Sketchup.send_action('viewPerspective:') does, I'm wondering if it also 'switches views' on PC or would I need to have both in a cross platform script. EDIT Edit: Sketchup.send_action('viewParallelProjection:') is working now? it not on the list, but I had tried it... maybe I had a typo... So does Sketchup.send_action('viewParallelProjection:') work on PC's... john
learn from the mistakes of others, you may not live long enough to make them all yourself...
-
driven
- PluginStore Author

-
- Posts: 3033
- Joined: Fri May 01, 2009 11:50 pm
- Name: driven
- Operating system: Mac
- SketchUp version: 2015
- License type: Pro
- SketchUp use: engineering and mechanical design
- Level of SketchUp: Intermediate
by ktkoh » Fri Dec 30, 2011 12:44 am
Sketchup.send_action('viewParallelProjection:') does not work on the PC. It returns true or false but does not change the view.
Sketchup.active_model.active_view.camera.perspective = false This command will change based on the true or false value
Keith
-
ktkoh
- PluginStore Author

-
- Posts: 272
- Joined: Mon Mar 31, 2008 1:40 am
- Location: Bellefontaine OH
- Name: ktkoh
- Operating system: Windows
- SketchUp version: 2016
- License type: Free/Make
- SketchUp use: woodworking
- Level of SketchUp: Intermediate
by thomthom » Wed Apr 03, 2013 7:28 pm
No action for the Follow Me tool? (That works on both platforms.)
-

thomthom
- PluginStore Author

-
- Posts: 19457
- Joined: Tue Nov 13, 2007 12:47 pm
- Location: Trondheim, Norway
- Name: Thomas Thomassen
- Operating system: Windows
- SketchUp version: 2019
- License type: Pro
- SketchUp use: other
- Level of SketchUp: Advanced
-
by driven » Thu Apr 04, 2013 12:06 am
thomthom wrote:No action for the Follow Me tool? (That works on both platforms.)
don't know what works on a PC, but since your probably missing the mac one... - Code: Select all
Sketchup.send_action('selectExtrudeTool:')
I'll add this to my list... I've got a osascript test runner, for running the lot if you want it... john
learn from the mistakes of others, you may not live long enough to make them all yourself...
-
driven
- PluginStore Author

-
- Posts: 3033
- Joined: Fri May 01, 2009 11:50 pm
- Name: driven
- Operating system: Mac
- SketchUp version: 2015
- License type: Pro
- SketchUp use: engineering and mechanical design
- Level of SketchUp: Intermediate
by thomthom » Thu Apr 04, 2013 8:31 am
Excellent! I didn't realise that was it's internal name. Doh!
Yea, run the lot and see what you get.
-

thomthom
- PluginStore Author

-
- Posts: 19457
- Joined: Tue Nov 13, 2007 12:47 pm
- Location: Trondheim, Norway
- Name: Thomas Thomassen
- Operating system: Windows
- SketchUp version: 2019
- License type: Pro
- SketchUp use: other
- Level of SketchUp: Advanced
-
by TIG » Thu Apr 04, 2013 10:47 am
I think early versions of SketchUp called it the 'Extrude Tool', later it was renamed 'FollowMe' but the original 'coded' name remains - which is like 'Scenes' are really 'Pages', 'Guides' are really 'Clines' etc, and other foibles that you can probably list too !
TIG
-

TIG
- Global Moderator
-
- Posts: 20380
- Joined: Mon Nov 12, 2007 7:24 pm
- Location: Northumbria UK
- Name: TIG
- Operating system: Windows
- License type: Pro
- SketchUp use: architecture
- Level of SketchUp: Advanced
by thomthom » Thu Apr 04, 2013 11:15 am
Yea - there's lots of legacy strangeness to discover when traversing the API.
-

thomthom
- PluginStore Author

-
- Posts: 19457
- Joined: Tue Nov 13, 2007 12:47 pm
- Location: Trondheim, Norway
- Name: Thomas Thomassen
- Operating system: Windows
- SketchUp version: 2019
- License type: Pro
- SketchUp use: other
- Level of SketchUp: Advanced
-
by driven » Sat Jun 22, 2013 2:14 am
possibly new for v2013 on mac at least - Code: Select all
Sketchup.send_action('closeDocument:')
Sketchup.send_action('newDocument:')
Sketchup.send_action('saveDocument:')
Sketchup.send_action('openDocument:')
Sketchup.send_action('printDocument:')
@Dan, thanks for the trigger to test them...
learn from the mistakes of others, you may not live long enough to make them all yourself...
-
driven
- PluginStore Author

-
- Posts: 3033
- Joined: Fri May 01, 2009 11:50 pm
- Name: driven
- Operating system: Mac
- SketchUp version: 2015
- License type: Pro
- SketchUp use: engineering and mechanical design
- Level of SketchUp: Intermediate
by TIG » Sat Jun 22, 2013 10:04 am
driven wrote:possibly new for v2013 on mac at least - Code: Select all
Sketchup.send_action('closeDocument:')
Sketchup.send_action('newDocument:')
Sketchup.send_action('saveDocument:')
Sketchup.send_action('openDocument:')
Sketchup.send_action('printDocument:')
@Dan, thanks for the trigger to test them...
Some of those have been around BUT 'undocumented' for some time [v8M2]. The 'saveDocument:' is particularly useful because calling model.save(model.path) does NOT save the model BUT returns 'true'. So if you want to ensure the model is saved before saving it as another name, that send_action is needed... Here's a list that I have for those v8M2 changes - some were documented but * == undocumented & ! == broken on MAC: addBuilding: ! copy: * cut: * editDelete: * getCurrentView: * getModels: *! getPhotoTexture: ! newDocument: * openDocument: * paste: * placeModel: * printDocument: * saveDocument: * select3dTextTool: * selectionZoomExt: * shareModel: *! showRubyPanel: uploadComponent: *! viewShowGuides: *
TIG
-

TIG
- Global Moderator
-
- Posts: 20380
- Joined: Mon Nov 12, 2007 7:24 pm
- Location: Northumbria UK
- Name: TIG
- Operating system: Windows
- License type: Pro
- SketchUp use: architecture
- Level of SketchUp: Advanced
by driven » Sat Jun 22, 2013 2:45 pm
This is my latest list, some may be mac only, some new, some missing - Code: Select all
Sketchup.send_action('addBuilding:') #! dosn't work on mac Sketchup.send_action('getPhotoTexture:') #! dosn't work on mac
- Code: Select all
#/ Sketchup.send_action('closeDocument:') Sketchup.send_action('newDocument:') Sketchup.send_action('openDocument:') # dialog drop-down sheet Sketchup.send_action('printDocument:') # direct print of current view @current settings Sketchup.send_action('saveDocument:') # dialog drop-down sheet
- Code: Select all
#/ Sketchup.send_action('editHide:') Sketchup.send_action('editRedo:') Sketchup.send_action('editUndo:') Sketchup.send_action('editUnhide:') #! dosn't work on mac Sketchup.send_action('editUnhideAll:') #* does work on mac Sketchup.send_action('editUnhideLast:') #* does work on mac
- Code: Select all
#/ Sketchup.send_action('fixNonPlanarFaces:')
- Code: Select all
#/ Sketchup.send_action('pageAdd:') Sketchup.send_action('pageDelete:') Sketchup.send_action('pageNext:') Sketchup.send_action('pagePrevious:') Sketchup.send_action('pageUpdate:')
- Code: Select all
#/ Sketchup.send_action('renderHiddenLine:') Sketchup.send_action('renderMonochrome:') Sketchup.send_action('renderShaded:') Sketchup.send_action('renderTextures:') Sketchup.send_action('renderWireframe:')
- Code: Select all
#/ Sketchup.send_action('selectAll:') #NEW? does work on mac but not('editSelectAll:') Sketchup.send_action('selectArcTool:') Sketchup.send_action('selectAxisTool:') Sketchup.send_action('selectCircleTool:') Sketchup.send_action('selectDimensionTool:') Sketchup.send_action('selectDollyTool:') Sketchup.send_action('selectEraseTool:') Sketchup.send_action('selectExtrudeTool:') Sketchup.send_action('selectFieldOfViewTool:') Sketchup.send_action('selectFreehandTool:') Sketchup.send_action('selectImageIglooTool:') Sketchup.send_action('selectLineTool:') Sketchup.send_action('selectMeasureTool:') Sketchup.send_action('selectMoveTool:') Sketchup.send_action('selectNorthTool:') Sketchup.send_action('selectOffsetTool:') Sketchup.send_action('selectOrbitTool:') Sketchup.send_action('selectPaintTool:') Sketchup.send_action('selectPolygonTool:') Sketchup.send_action('selectPositionCameraTool:') Sketchup.send_action('selectProtractorTool:') Sketchup.send_action('selectPushPullTool:') Sketchup.send_action('selectRectangleTool:') Sketchup.send_action('selectRotateTool:') Sketchup.send_action('selectScaleTool:') Sketchup.send_action('selectSectionPlaneTool:') Sketchup.send_action('selectSelectionTool:') Sketchup.send_action('selectTextTool:') Sketchup.send_action('selectTurnTool:') Sketchup.send_action('selectWalkTool:') Sketchup.send_action('selectZoomTool:') Sketchup.send_action('selectZoomWindowTool:')
- Code: Select all
#/ Sketchup.send_action('viewBack:') Sketchup.send_action('viewBottom:') Sketchup.send_action('viewFront:') Sketchup.send_action('viewIso:') Sketchup.send_action('viewLeft:') Sketchup.send_action('viewParallelProjection:') #* does work on mac •toggle Sketchup.send_action('viewPerspective:') #* does work on mac •toggle Sketchup.send_action('viewRight:') Sketchup.send_action('viewShowAxes:') Sketchup.send_action('viewShowAxes:') #* does work on mac •toggle Sketchup.send_action('viewShowGuides:') #* does work on mac •toggle Sketchup.send_action('viewShowHidden:') #* does work on mac •toggle Sketchup.send_action('viewTop:') Sketchup.send_action('viewTwoPointPerspective:') #* does work on mac Sketchup.send_action('viewUndo:') Sketchup.send_action('viewZoomExtents:') Sketchup.send_action('viewZoomToSelection:')
- Code: Select all
#/ Sketchup.send_action('showRubyPanel:')
- Code: Select all
#/ Sketchup.send_action('cut:')
- Code: Select all
#/ Sketchup.send_action('copy:')
- Code: Select all
#/ Sketchup.send_action('paste:')
- Code: Select all
#/ Sketchup.send_action('pasteInPlace:')
- Code: Select all
#/ Sketchup.send_action('editDelete:')
forgot the bottom one, and I think I have a few others... somewhere...
learn from the mistakes of others, you may not live long enough to make them all yourself...
-
driven
- PluginStore Author

-
- Posts: 3033
- Joined: Fri May 01, 2009 11:50 pm
- Name: driven
- Operating system: Mac
- SketchUp version: 2015
- License type: Pro
- SketchUp use: engineering and mechanical design
- Level of SketchUp: Intermediate
by Mythos » Fri May 23, 2014 9:08 am
Is there any action to edit a group/component (similar as double clicking on a group)?
-
Mythos
-
- Posts: 9
- Joined: Sun May 11, 2014 11:09 pm
- Name: Oliver Pfeiffer
- Operating system: Windows
- SketchUp version: 2014
- License type: Free/Make
- SketchUp use: hobby
- Level of SketchUp: Advanced
by TIG » Fri May 23, 2014 9:58 am
Mythos wrote:Is there any action to edit a group/component (similar as double clicking on a group)?
No. I have PM'd you a suggestion with a method using view.pick_helper.path_at[-2], to select the picked object's container, then using the [forced open] Outliner to open that now selected group/instance for editing...
TIG
-

TIG
- Global Moderator
-
- Posts: 20380
- Joined: Mon Nov 12, 2007 7:24 pm
- Location: Northumbria UK
- Name: TIG
- Operating system: Windows
- License type: Pro
- SketchUp use: architecture
- Level of SketchUp: Advanced
by Dan Rathbun » Sat Sep 05, 2015 4:38 am
Has anyone found a cross-platform string to send the model to Layout ?
On the PC only this works: Sketchup::send_action( 23051 )
I'm not here much anymore. But a PM will fire email notifications.
-

Dan Rathbun
- PluginStore Author

-
- Posts: 5051
- Joined: Tue Oct 06, 2009 3:06 am
- Location: Florida, USA
- Name: Dan Rathbun
- Operating system: Windows
- SketchUp version: 2015
- License type: Pro
- SketchUp use: education
- Level of SketchUp: Advanced
by Dan Rathbun » Tue Sep 08, 2015 5:05 pm
Dan Rathbun wrote:Has anyone found a cross-platform string to send the model to Layout ?
On the PC only this works: Sketchup::send_action( 23051 )
John confirmed that Sketchup::send_action("sendToLayOut:") works on Mac. So that gives us a cross-platform method - Code: Select all
def send_active_model_to_layout() return nil unless Sketchup.is_pro? if (Sketchup.respond_to?(:platform) && Sketchup::platform == :platform_win ) || RUBY_PLATFORM !~ /(darwin)/i Sketchup::send_action( 23051 ) else Sketchup::send_action("sendToLayOut:") end end
EDIT: inserted Pro only bailout statement to return **`nil`** if not SketchUp Pro. 
I'm not here much anymore. But a PM will fire email notifications.
-

Dan Rathbun
- PluginStore Author

-
- Posts: 5051
- Joined: Tue Oct 06, 2009 3:06 am
- Location: Florida, USA
- Name: Dan Rathbun
- Operating system: Windows
- SketchUp version: 2015
- License type: Pro
- SketchUp use: education
- Level of SketchUp: Advanced
by driven » Mon Apr 11, 2016 6:41 pm
it's been a while and maybe everyone has lost interest, but I found a few more for the mac list... the big question is, how many of these run on a PC? single # denotes a Menu Title, ## Item Title, ### hard coded shortcut combo... - Code: Select all
# SketchUp Sketchup.send_action('showAboutBox:') ## About SketchUp Sketchup.send_action('showSketchUpPreferences:') ## Preferences... Sketchup.send_action('manageLicenses:') ## License... Sketchup.send_action('checkWebUpdate:') ## Check Web for Update... Sketchup.send_action('hide:') ## Hide SketchUp ### ⌘H Sketchup.send_action('hideOtherApplications:') ## Hide Others ### ⌘H Sketchup.send_action('unhideAllApplications:') ## Show All Sketchup.send_action('terminate:') ## Quit SketchUp ### ⌘Q # File Sketchup.send_action('newDocument:') ## New ### ⌘N Sketchup.send_action('openDocument:') ## Open... ### ⌘O Sketchup.send_action('clearRecentDocuments:') ## Clear Menu Sketchup.send_action('performClose:') ## Close ### ⌘W Sketchup.send_action('saveDocument:') ## Save ### ⌘S Sketchup.send_action('saveDocumentAs:') ## Save As... ### ⇧⌘S Sketchup.send_action('saveCopy:') ## Save A Copy As... Sketchup.send_action('saveAsTemplate:') ## Save As Template... Sketchup.send_action('revertDocumentToSaved:') ## Revert Sketchup.send_action('sendToLayOut:') ## Send to LayOut Sketchup.send_action('importFromGoogleEarth:') ## Add Location... Sketchup.send_action('clearLocation:') ## Clear Location Sketchup.send_action('toggleTerrain:') ## Show Terrain Sketchup.send_action('browse3DWarehouse:') ## Get Models... Sketchup.send_action('shareWithGoogleEarthCommunity:') ## Share Model... Sketchup.send_action('runImporter:') ## Import... Sketchup.send_action('runPageLayout:') ## Page Setup... ### ⇧⌘P Sketchup.send_action('runDocumentSetup:') ## Document Setup... Sketchup.send_action('printDocument:') ## Print... ### ⌘P # Edit Sketchup.send_action('editUndo:') ## Undo ### ⌘Z Sketchup.send_action('editRedo:') ## Redo ### ⇧⌘Z Sketchup.send_action('cut:') ## Cut ### ⌘X Sketchup.send_action('copy:') ## Copy ### ⌘C Sketchup.send_action('paste:') ## Paste ### ⌘V Sketchup.send_action('pasteInPlace:') ## Paste In Place Sketchup.send_action('editDelete:') ## Delete Sketchup.send_action('eraseConstructionGeometry:') ## Delete Guides Sketchup.send_action('selectAll:') ## Select All ### ⌘A Sketchup.send_action('deselectAll:') ## Select None ### ⇧⌘A Sketchup.send_action('editHide:') ## Hide ### ⌘E Sketchup.send_action('editUnhide:') ## Selected Sketchup.send_action('editUnhideLast:') ## Last Sketchup.send_action('editUnhideAll:') ## All ### ⇧⌘E Sketchup.send_action('editLock:') ## Lock Sketchup.send_action('editUnlockSelected:') ## Selected Sketchup.send_action('editUnlockAll:') ## All Sketchup.send_action('makeComponent:') ## Make Component... ### ⇧⌘G Sketchup.send_action('makeGroup:') ## Make Group ### ⌘G Sketchup.send_action('closeGroupOrComponent:') ## Close Group/Component ### ⇧⌘G Sketchup.send_action('intersectWithModel:') ## With Model Sketchup.send_action('intersectSelected:') ## With Selection Sketchup.send_action('intersectWithContext:') ## With Context # View Sketchup.send_action('toggleToolPalette:') ## Large Tool Set Sketchup.send_action('toggleSolidModelToolPalette:') ## Solid Tools Sketchup.send_action('toggleGoogleToolPalette:') ## Location Sketchup.send_action('toggleWarehouseToolPalette:') ## Warehouse Sketchup.send_action('togglePageTabsDsiplay:') ## Scene Tabs Sketchup.send_action('viewShowHidden:') ## Hidden Geometry Sketchup.send_action('sectionToggleDisplay:') ## Section Planes Sketchup.send_action('sectionToggleActivation:') ## Section Cuts Sketchup.send_action('viewShowAxes:') ## Axes Sketchup.send_action('viewShowGuides:') ## Guides Sketchup.send_action('toggleShadows:') ## Shadows Sketchup.send_action('toggleFog:') ## Fog Sketchup.send_action('toggleDisplayEdges:') ## Edges Sketchup.send_action('toggleDisplayBackEdges:') ## Back Edges Sketchup.send_action('toggleProfiles:') ## Profiles Sketchup.send_action('toggleDepthQue:') ## Depth Cue Sketchup.send_action('toggleExtensions:') ## Extension Sketchup.send_action('toggleGlobalTransparency:') ## X-ray Sketchup.send_action('renderWireframe:') ## Wireframe Sketchup.send_action('renderHiddenLine:') ## Hidden Line Sketchup.send_action('renderShaded:') ## Shaded Sketchup.send_action('renderTextures:') ## Shaded With Textures Sketchup.send_action('renderMonochrome:') ## Monochrome Sketchup.send_action('toggleHideRestOfModel:') ## Hide Rest of Model Sketchup.send_action('toggleHideSimilarComponents:') ## Hide Similar Components Sketchup.send_action('pageAdd:') ## Add Scene Sketchup.send_action('pageUpdate:') ## Update Scene Sketchup.send_action('pageDelete:') ## Delete Scene Sketchup.send_action('pagePrevious:') ## Previous Scene Sketchup.send_action('pageNext:') ## Next Scene Sketchup.send_action('slideshowStart:') ## Play Sketchup.send_action('pageOptions:') ## Settings Sketchup.send_action('toggleToolbarShown:') ## Hide Toolbar Sketchup.send_action('runToolbarCustomizationPalette:') ## Customize Toolbar ... # Draw Sketchup.send_action('selectLineTool:') ## Line ### ⌘L Sketchup.send_action('selectFreehandTool:') ## Freehand ### ⌘F Sketchup.send_action('selectArc3PointTool:') ## Arc ### ⌘J Sketchup.send_action('selectArcTool:') ## 2 Point Arc Sketchup.send_action('select3PointFitArcTool:') ## 3 Point Arc Sketchup.send_action('selectArcPieTool:') ## Pie Sketchup.send_action('selectRectangleTool:') ## Rectangle ### ⌘K Sketchup.send_action('selectRectangle3PointTool:') ## Rotated Rectangle Sketchup.send_action('selectCircleTool:') ## Circle Sketchup.send_action('selectPolygonTool:') ## Polygon # Camera Sketchup.send_action('viewUndo:') ## Previous Sketchup.send_action('viewRedo:') ## Next Sketchup.send_action('viewTop:') ## Top ### ⌘1 Sketchup.send_action('viewBottom:') ## Bottom ### ⌘2 Sketchup.send_action('viewFront:') ## Front ### ⌘3 Sketchup.send_action('viewBack:') ## Back ### ⌘4 Sketchup.send_action('viewLeft:') ## Left ### ⌘5 Sketchup.send_action('viewRight:') ## Right ### ⌘6 Sketchup.send_action('viewIso:') ## Iso ### ⌘7 Sketchup.send_action('viewParallelProjection:') ## Parallel Projection Sketchup.send_action('viewPerspective:') ## Perspective Sketchup.send_action('viewTwoPointPerspective:') ## Two-Point Perspective Sketchup.send_action('cameraMatchNewPhoto:') ## Match New Photo... Sketchup.send_action('editPhotoMatch:') ## Edit Matched Photo Sketchup.send_action('selectOrbitTool:') ## Orbit ### ⌘B Sketchup.send_action('selectDollyTool:') ## Pan ### ⌘R Sketchup.send_action('selectZoomTool:') ## Zoom Sketchup.send_action('selectFieldOfViewTool:') ## Field of View Sketchup.send_action('selectZoomWindowTool:') ## Zoom Window Sketchup.send_action('viewZoomExtents:') ## Zoom Extents Sketchup.send_action('viewZoomToSelection:') Sketchup.send_action('viewZoomImage:') ## Zoom to Photo Sketchup.send_action('selectPositionCameraTool:') ## Position Camera Sketchup.send_action('selectWalkTool:') ## Walk Sketchup.send_action('selectTurnTool:') ## Look Around Sketchup.send_action('selectImageIglooTool:') ## Image Igloo # Tools Sketchup.send_action('selectSelectionTool:') ## Select Sketchup.send_action('selectEraseTool:') ## Eraser Sketchup.send_action('selectPaintTool:') ## Paint Bucket Sketchup.send_action('selectMoveTool:') ## Move ### ⌘0 Sketchup.send_action('selectRotateTool:') ## Rotate ### ⌘8 Sketchup.send_action('selectScaleTool:') ## Scale ### ⌘9 Sketchup.send_action('selectPushPullTool:') ## Push/Pull Sketchup.send_action('selectExtrudeTool:') ## Follow Me Sketchup.send_action('selectOffsetTool:') ## Offset Sketchup.send_action('selectOuterShellTool:') ## Outer Shell Sketchup.send_action('selectUnionTool:') ## Union Sketchup.send_action('selectDifferenceTool:') ## Subtract Sketchup.send_action('selectDifferenceNDTool:') ## Trim Sketchup.send_action('selectIntersectTool:') ## Intersect Sketchup.send_action('selectBooleanSplitTool:') ## Split Sketchup.send_action('showSolidModelToolsMenu:') ## Split Sketchup.send_action('selectMeasureTool:') ## Tape Measure ### ⌘D Sketchup.send_action('selectProtractorTool:') ## Protractor Sketchup.send_action('selectAxisTool:') ## Axes ### ⌘F Sketchup.send_action('selectDimensionTool:') ## Dimensions Sketchup.send_action('selectTextTool:') ## Text Sketchup.send_action('doThreeDText:') ## 3D Text Sketchup.send_action('selectSectionPlaneTool:') ## Section Plane ### ⌘Y # Window Sketchup.send_action('performMiniaturize:') ## Minimize ### ⌘M Sketchup.send_action('performZoom:') ## Zoom Sketchup.send_action('showModelPropertiesPanel:') ## Model Info ### ⇧⌘I Sketchup.send_action('entityProperties:') ## Entity Info ### ⌘I Sketchup.send_action('orderFrontColorPanel:') ## Materials ### ⇧⌘C Sketchup.send_action('showComponentBrowser:') ## Components Sketchup.send_action('showStyleBrowser:') ## Styles Sketchup.send_action('showLayerPanel:') ## Layers Sketchup.send_action('showOutliner:') ## Outliner Sketchup.send_action('showPagePanel:') ## Scenes Sketchup.send_action('orderFrontFontPanel:') ## Show Fonts ### ⌘T Sketchup.send_action('showRubyConsole:') ## Ruby Console Sketchup.send_action('showShadowsPanel:') ## Shadows Sketchup.send_action('showFogSettingsPanel:') ## Fog Sketchup.send_action('showPhotoMatchPanel:') ## Match Photo Sketchup.send_action('showSoftenEdgesPanel:') ## Soften Edges Sketchup.send_action('showInstructor:') ## Instructor Sketchup.send_action('browse3DWarehouse:') ## 3D Warehouse Sketchup.send_action('browseExtensionStore:') ## Extension Warehouse Sketchup.send_action('toggleInspectors:') ## Hide Dialogs Sketchup.send_action('getPhotoTexture:') ## Photo Textures !!!!!!!!!!!! not working Sketchup.send_action('arrangeInFront:') ## Bring All to Front # Help Sketchup.send_action('showWelcomePanel:') ## Welcome To SketchUp… Sketchup.send_action('showOnlineHelpCenter:') ## Knowledge Center Sketchup.send_action('contactUs:') ## Contact Us # Orphans Sketchup.send_action('fixNonPlanarFaces:') ## Model Info >> Statistics >> Fix Problems
I may have missed some... john
learn from the mistakes of others, you may not live long enough to make them all yourself...
-
driven
- PluginStore Author

-
- Posts: 3033
- Joined: Fri May 01, 2009 11:50 pm
- Name: driven
- Operating system: Mac
- SketchUp version: 2015
- License type: Pro
- SketchUp use: engineering and mechanical design
- Level of SketchUp: Intermediate
by Ad Machine » 5 minutes ago
-
Ad Machine
- Robot
-
- Posts: 2012
-
Return to Developers' Forum
|